# Recurring Orders

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Queries and mutations for managing Recurring Orders in the platform.**

## Queries

### Query Recurring Orders

[fetch SDL for query recurringOrders](#graphql-partial-sdls).

### Get Recurring Order

[fetch SDL for query recurringOrder](#graphql-partial-sdls).

## Mutations

### Create Recurring Order

[fetch SDL for mutation createRecurringOrder](#graphql-partial-sdls).

### Update Recurring Order

[fetch SDL for mutation updateRecurringOrder](#graphql-partial-sdls).

### Delete Recurring Order

[fetch SDL for mutation deleteRecurringOrder](#graphql-partial-sdls).

## Output types

### RecurringOrder

[fetch SDL for type RecurringOrder](#graphql-partial-sdls).

### RecurringOrderQueryResult

[fetch SDL for type RecurringOrderQueryResult](#graphql-partial-sdls).

#### RecurringOrderState

[fetch SDL for type RecurringOrderState](#graphql-partial-sdls).

#### SkipConfiguration

[fetch SDL for type SkipConfiguration](#graphql-partial-sdls).

#### Counter

[fetch SDL for type Counter](#graphql-partial-sdls).

#### RecurringOrderScope

[fetch SDL for type RecurringOrderScope](#graphql-partial-sdls).

##### AnyOrder

[fetch SDL for type AnyOrder](#graphql-partial-sdls).

##### NonRecurringOrdersOnly

[fetch SDL for type NonRecurringOrdersOnly](#graphql-partial-sdls).

##### RecurringOrdersOnly

[fetch SDL for type RecurringOrdersOnly](#graphql-partial-sdls).

#### ApplicableRecurrencePolicies

[fetch SDL for type ApplicableRecurrencePolicies](#graphql-partial-sdls).

#### PriceSelectionMode

[fetch SDL for type PriceSelectionMode](#graphql-partial-sdls).

## Input types

### RecurringOrderDraft

[fetch SDL for type RecurringOrderDraft](#graphql-partial-sdls).

#### RecurringOrderStateDraft

[fetch SDL for type RecurringOrderStateDraft](#graphql-partial-sdls).

#### RecurringOrderActiveInput

[fetch SDL for type RecurringOrderActiveInput](#graphql-partial-sdls).

#### RecurringOrderPausedInput

[fetch SDL for type RecurringOrderPausedInput](#graphql-partial-sdls).

#### RecurringOrderExpiredInput

[fetch SDL for type RecurringOrderExpiredInput](#graphql-partial-sdls).

#### RecurringOrderCanceledInput

[fetch SDL for type RecurringOrderCanceledInput](#graphql-partial-sdls).

#### SkipConfigurationInputDraft

[fetch SDL for type SkipConfigurationInputDraft](#graphql-partial-sdls).

#### CounterInputDraft

[fetch SDL for type CounterInputDraft](#graphql-partial-sdls).

#### RecurringOrderScopeInput

[fetch SDL for type RecurringOrderScopeInput](#graphql-partial-sdls).

##### AnyOrderInput

[fetch SDL for type AnyOrderInput](#graphql-partial-sdls).

##### NonRecurringOrdersOnlyInput

[fetch SDL for type NonRecurringOrdersOnlyInput](#graphql-partial-sdls).

##### RecurringOrdersOnlyInput

[fetch SDL for type RecurringOrdersOnlyInput](#graphql-partial-sdls).

#### ApplicableRecurrencePoliciesInput

[fetch SDL for type ApplicableRecurrencePoliciesInput](#graphql-partial-sdls).

### RecurringOrderUpdateAction

[fetch SDL for type RecurringOrderUpdateAction](#graphql-partial-sdls).

### Update actions

#### Set Expires At

[fetch SDL for type SetRecurringOrderExpiresAt](#graphql-partial-sdls).

#### Set Key

[fetch SDL for type SetRecurringOrderKey](#graphql-partial-sdls).

#### Set Order Skip Configuration

[fetch SDL for type SetRecurringOrderOrderSkipConfiguration](#graphql-partial-sdls).

#### Set Custom Field

[fetch SDL for type SetRecurringOrderCustomField](#graphql-partial-sdls).

#### Set Custom Type

[fetch SDL for type SetRecurringOrderCustomType](#graphql-partial-sdls).

#### Set Recurring Order State

[fetch SDL for type SetRecurringOrderState](#graphql-partial-sdls).

#### Set Schedule

[fetch SDL for type SetRecurringOrderSchedule](#graphql-partial-sdls).

#### Set Starts At

[fetch SDL for type SetRecurringOrderStartsAt](#graphql-partial-sdls).

#### Transition State

[fetch SDL for type TransitionRecurringOrderState](#graphql-partial-sdls).

#### Request Order Now

[fetch SDL for type RequestRecurringOrderNow](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)